<script setup>
import { ref, computed } from "vue"

const props = defineProps({
  title: String,
  height: [Number, String],
  width: [Number, String],
})

// variables
const heightNumber = ref(24)
const widthNumber = ref(24)

if (!Number.isNaN(props.height) && typeof props.height !== "undefined") {
  heightNumber.value = Number.parseInt(props.height)
} else if (typeof props.height === "undefined" && (!Number.isNaN(props.width) && typeof props.width !== "undefined")) {
  heightNumber.value = Number.parseInt(props.width)
}

if (!Number.isNaN(props.width) && typeof props.width !== "undefined") {
  widthNumber.value = Number.parseInt(props.width)
} else if (typeof props.width === "undefined" && (!Number.isNaN(props.height) && typeof props.height !== "undefined")) {
  widthNumber.value = Number.parseInt(props.height)
}

// computed
const titleString = computed(() => {
  if (typeof props.title === "string" && props.title.trim().length > 0) {
    return props.title.trim()
  }
  return ""
})
</script>

<template>
<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" preserveAspectRatio="xMidYMid meet">
  <title v-if="titleString.length > 0" v-html="title"></title>
  <rect x="13" y="2" width="3" height="8" rx="1.5"></rect>
  <path d="M19 8.5V10h1.5A1.5 1.5 0 1 0 19 8.5"></path>
  <rect x="8" y="14" width="3" height="8" rx="1.5"></rect>
  <path d="M5 15.5V14H3.5A1.5 1.5 0 1 0 5 15.5"></path>
  <rect x="14" y="13" width="8" height="3" rx="1.5"></rect>
  <path d="M15.5 19H14v1.5a1.5 1.5 0 1 0 1.5-1.5"></path>
  <rect x="2" y="8" width="8" height="3" rx="1.5"></rect>
  <path d="M8.5 5H10V3.5A1.5 1.5 0 1 0 8.5 5"></path>
</svg>
</template>
